package cn.com.qmth.examcloud.core.questions.service.bean.randompaper;

import org.springframework.data.mongodb.core.mapping.DBRef;

import cn.com.qmth.examcloud.core.questions.base.enums.PaperType;
import cn.com.qmth.examcloud.core.questions.base.question.enums.QuesStructType;
import cn.com.qmth.examcloud.core.questions.dao.entity.base.MongoBaseEntity;

public class PaperDetailUnitDto extends MongoBaseEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = 266448283780973578L;

	private Integer number;// 小题序号

	@DBRef(lazy = true)
	private PaperDetailDto paperDetail;// 关联的大题

	private QuesStructType questionType;// 小题类型

	@DBRef(lazy = true)
	private QuestionDto question;// 关联试题

	private String creator;// 创建人id

	private String createTime;// 创建时间

	private PaperType paperType;
	// 复制数据用
	private Long orgId;
	/**
	 * 作答限时 K12
	 */
	private Long timeLimit;

	public PaperDetailUnitDto() {
	}

	public Integer getNumber() {
		return number;
	}

	public void setNumber(Integer number) {
		this.number = number;
	}


	public PaperDetailDto getPaperDetail() {
		return paperDetail;
	}

	public void setPaperDetail(PaperDetailDto paperDetail) {
		this.paperDetail = paperDetail;
	}

	public QuesStructType getQuestionType() {
		return questionType;
	}

	public void setQuestionType(QuesStructType questionType) {
		this.questionType = questionType;
	}

	public QuestionDto getQuestion() {
		return question;
	}

	public void setQuestion(QuestionDto question) {
		this.question = question;
	}

	public String getCreator() {
		return creator;
	}

	public void setCreator(String creator) {
		this.creator = creator;
	}

	public String getCreateTime() {
		return createTime;
	}

	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}

	public PaperType getPaperType() {
		return paperType;
	}

	public void setPaperType(PaperType paperType) {
		this.paperType = paperType;
	}

	public Long getOrgId() {
		return orgId;
	}

	public void setOrgId(Long orgId) {
		this.orgId = orgId;
	}

	public Long getTimeLimit() {
		return timeLimit;
	}

	public void setTimeLimit(Long timeLimit) {
		this.timeLimit = timeLimit;
	}


}
